#!/usr/bin/env perl
use 5.016;
use AnyEvent;

$| = 1;
print "enter your name> ";
my $name;
my $name_ready = AnyEvent->condvar;

my $wait_for_input = AnyEvent->io (
   fh   => \*STDIN,
   poll => "r",
   cb   => sub {
      $name = <STDIN>;
      $name_ready->send;
   }
);

my $w = AnyEvent->timer(after => 1, interval => 1, cb => sub {
    say "waiting...";
});

$name_ready->recv;
undef $wait_for_input;
print "your name is $name\n";
