#!/usr/bin/env perl
use 5.016;
use ZMQ::LibZMQ3;
use ZMQ::Constants qw(ZMQ_REQ);

my $text = $ARGV[0] || 'World';

my $context = zmq_init();
my $client = zmq_socket($context, ZMQ_REQ);
zmq_connect($client, 'tcp://localhost:10001');

zmq_send($client,$text);
say "client sent >$text<";

my $reply = zmq_msg_data(zmq_recvmsg($client));
say "client got >$reply<";
