#!/usr/bin/env perl
use 5.016;
use ZMQx::Class;
use Data::Dumper;
use Time::HiRes qw(time);

my $control = ZMQx::Class->socket('REQ', connect=>'tcp://localhost:10001');

say "Sending task to Ventilator";
my $start = time();
$control->send(\@ARGV);

my $reply = $control->receive(1);
my $stop = time();
say "Got reply from Ventilator, took " . ($stop - $start);
say Dumper $reply;

